org.apache.poi.hsmf.datatypes

## Class MAPIProperty

- java.lang.Object
- - org.apache.poi.hsmf.datatypes.MAPIProperty

-     public class MAPIProperty
      extends java.lang.Object

  Holds the list of MAPI Attributes, and allows lookup by friendly name, ID and MAPI Property Name. These are taken from the following MSDN resources: https://msdn.microsoft.com/en-us/library/microsoft.exchange.data.contenttypes.tnef.tnefpropertyid(v=exchg.150).aspx http://msdn.microsoft.com/en-us/library/ms526356%28v=exchg.10%29.aspx

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static MAPIProperty` | `AB_DEFAULT_DIR`
    `static MAPIProperty` | `AB_DEFAULT_PAB`
    `static MAPIProperty` | `AB_PROVIDER_ID`
    `static MAPIProperty` | `AB_PROVIDERS`
    `static MAPIProperty` | `AB_SEARCH_PATH`
    `static MAPIProperty` | `AB_SEARCH_PATH_UPDATE`
    `static MAPIProperty` | `ACCESS`
    `static MAPIProperty` | `ACCESS_LEVEL`
    `static MAPIProperty` | `ACCOUNT`
    `static MAPIProperty` | `ADDRTYPE`
    `static MAPIProperty` | `ALTERNATE_RECIPIENT`
    `static MAPIProperty` | `ALTERNATE_RECIPIENT_ALLOWED`
    `static MAPIProperty` | `ANR`
    `static MAPIProperty` | `ASSISTANT`
    `static MAPIProperty` | `ASSISTANT_TELEPHONE_NUMBER`
    `static MAPIProperty` | `ASSOC_CONTENT_COUNT`
    `static MAPIProperty` | `ATTACH_ADDITIONAL_INFO`
    `static MAPIProperty` | `ATTACH_CONTENT_BASE`
    `static MAPIProperty` | `ATTACH_CONTENT_ID`
    `static MAPIProperty` | `ATTACH_CONTENT_LOCATION`
    `static MAPIProperty` | `ATTACH_DATA`
    `static MAPIProperty` | `ATTACH_DISPOSITION`
    `static MAPIProperty` | `ATTACH_ENCODING`
    `static MAPIProperty` | `ATTACH_EXTENSION`
    `static MAPIProperty` | `ATTACH_FILENAME`
    `static MAPIProperty` | `ATTACH_FLAGS`
    `static MAPIProperty` | `ATTACH_LONG_FILENAME`
    `static MAPIProperty` | `ATTACH_LONG_PATHNAME`
    `static MAPIProperty` | `ATTACH_METHOD`
    `static MAPIProperty` | `ATTACH_MIME_SEQUENCE`
    `static MAPIProperty` | `ATTACH_MIME_TAG`
    `static MAPIProperty` | `ATTACH_NETSCAPE_MAC_INFO`
    `static MAPIProperty` | `ATTACH_NUM`
    `static MAPIProperty` | `ATTACH_PATHNAME`
    `static MAPIProperty` | `ATTACH_RENDERING`
    `static MAPIProperty` | `ATTACH_SIZE`
    `static MAPIProperty` | `ATTACH_TAG`
    `static MAPIProperty` | `ATTACH_TRANSPORT_NAME`
    `static MAPIProperty` | `ATTACHMENT_X400_PARAMETERS`
    `static MAPIProperty` | `AUTHORIZING_USERS`
    `static MAPIProperty` | `AUTO_FORWARD_COMMENT`
    `static MAPIProperty` | `AUTO_FORWARDED`
    `static MAPIProperty` | `AUTO_RESPONSE_SUPPRESS`
    `static MAPIProperty` | `BIRTHDAY`
    `static MAPIProperty` | `BODY`
    `static MAPIProperty` | `BODY_CONTENT_ID`
    `static MAPIProperty` | `BODY_CONTENT_LOCATION`
    `static MAPIProperty` | `BODY_CRC`
    `static MAPIProperty` | `BODY_HTML`
    `static MAPIProperty` | `BUSINESS_FAX_NUMBER`
    `static MAPIProperty` | `BUSINESS_HOME_PAGE`
    `static MAPIProperty` | `CALLBACK_TELEPHONE_NUMBER`
    `static MAPIProperty` | `CAR_TELEPHONE_NUMBER`
    `static MAPIProperty` | `CHILDRENS_NAMES`
    `static MAPIProperty` | `CLIENT_SUBMIT_TIME`
    `static MAPIProperty` | `COMMENT`
    `static MAPIProperty` | `COMMON_VIEWS_ENTRY_ID`
    `static MAPIProperty` | `COMPANY_MAIN_PHONE_NUMBER`
    `static MAPIProperty` | `COMPANY_NAME`
    `static MAPIProperty` | `COMPUTER_NETWORK_NAME`
    `static MAPIProperty` | `CONTACT_ADDRTYPES`
    `static MAPIProperty` | `CONTACT_DEFAULT_ADDRESS_INDEX`
    `static MAPIProperty` | `CONTACT_EMAIL_ADDRESSES`
    `static MAPIProperty` | `CONTACT_ENTRY_IDS`
    `static MAPIProperty` | `CONTACT_VERSION`
    `static MAPIProperty` | `CONTAINER_CLASS`
    `static MAPIProperty` | `CONTAINER_CONTENTS`
    `static MAPIProperty` | `CONTAINER_FLAGS`
    `static MAPIProperty` | `CONTAINER_HIERARCHY`
    `static MAPIProperty` | `CONTAINER_MODIFY_VERSION`
    `static MAPIProperty` | `CONTENT_CONFIDENTIALITY_ALGORITHM_ID`
    `static MAPIProperty` | `CONTENT_CORRELATOR`
    `static MAPIProperty` | `CONTENT_COUNT`
    `static MAPIProperty` | `CONTENT_IDENTIFIER`
    `static MAPIProperty` | `CONTENT_INTEGRITY_CHECK`
    `static MAPIProperty` | `CONTENT_LENGTH`
    `static MAPIProperty` | `CONTENT_RETURN_REQUESTED`
    `static MAPIProperty` | `CONTENT_UNREAD`
    `static MAPIProperty` | `CONTENTS_SORT_ORDER`
    `static MAPIProperty` | `CONTROL_FLAGS`
    `static MAPIProperty` | `CONTROL_ID`
    `static MAPIProperty` | `CONTROL_STRUCTURE`
    `static MAPIProperty` | `CONTROL_TYPE`
    `static MAPIProperty` | `CONVERSATION_INDEX`
    `static MAPIProperty` | `CONVERSATION_KEY`
    `static MAPIProperty` | `CONVERSATION_TOPIC`
    `static MAPIProperty` | `CONVERSION_EITS`
    `static MAPIProperty` | `CONVERSION_PROHIBITED`
    `static MAPIProperty` | `CONVERSION_WITH_LOSS_PROHIBITED`
    `static MAPIProperty` | `CONVERTED_EITS`
    `static MAPIProperty` | `CORRELATE`
    `static MAPIProperty` | `CORRELATE_MTSID`
    `static MAPIProperty` | `COUNTRY`
    `static MAPIProperty` | `CREATE_TEMPLATES`
    `static MAPIProperty` | `CREATION_TIME`
    `static MAPIProperty` | `CREATION_VERSION`
    `static MAPIProperty` | `CURRENT_VERSION`
    `static MAPIProperty` | `CUSTOMER_ID`
    `static MAPIProperty` | `DEF_CREATE_DL`
    `static MAPIProperty` | `DEF_CREATE_MAILUSER`
    `static MAPIProperty` | `DEFAULT_PROFILE`
    `static MAPIProperty` | `DEFAULT_STORE`
    `static MAPIProperty` | `DEFAULT_VIEW_ENTRY_ID`
    `static MAPIProperty` | `DEFERRED_DELIVERY_TIME`
    `static MAPIProperty` | `DELEGATION`
    `static MAPIProperty` | `DELETE_AFTER_SUBMIT`
    `static MAPIProperty` | `DELIVER_TIME`
    `static MAPIProperty` | `DELIVERY_POINT`
    `static MAPIProperty` | `DELTAX`
    `static MAPIProperty` | `DELTAY`
    `static MAPIProperty` | `DEPARTMENT_NAME`
    `static MAPIProperty` | `DEPTH`
    `static MAPIProperty` | `DETAILS_TABLE`
    `static MAPIProperty` | `DISC_VAL`
    `static MAPIProperty` | `DISCARD_REASON`
    `static MAPIProperty` | `DISCLOSE_RECIPIENTS`
    `static MAPIProperty` | `DISCLOSURE_OF_RECIPIENTS`
    `static MAPIProperty` | `DISCRETE_VALUES`
    `static MAPIProperty` | `DISPLAY_BCC`
    `static MAPIProperty` | `DISPLAY_CC`
    `static MAPIProperty` | `DISPLAY_NAME`
    `static MAPIProperty` | `DISPLAY_NAME_PREFIX`
    `static MAPIProperty` | `DISPLAY_TO`
    `static MAPIProperty` | `DISPLAY_TYPE`
    `static MAPIProperty` | `DL_EXPANSION_HISTORY`
    `static MAPIProperty` | `DL_EXPANSION_PROHIBITED`
    `static MAPIProperty` | `EMAIL_ADDRESS`
    `static MAPIProperty` | `END_DATE`
    `static MAPIProperty` | `ENTRY_ID`
    `static MAPIProperty` | `EXPAND_BEGIN_TIME`
    `static MAPIProperty` | `EXPAND_END_TIME`
    `static MAPIProperty` | `EXPANDED_BEGIN_TIME`
    `static MAPIProperty` | `EXPANDED_END_TIME`
    `static MAPIProperty` | `EXPIRY_TIME`
    `static MAPIProperty` | `EXPLICIT_CONVERSION`
    `static MAPIProperty` | `FILTERING_HOOKS`
    `static MAPIProperty` | `FINDER_ENTRY_ID`
    `static MAPIProperty` | `FOLDER_ASSOCIATED_CONTENTS`
    `static MAPIProperty` | `FOLDER_TYPE`
    `static MAPIProperty` | `FORM_CATEGORY`
    `static MAPIProperty` | `FORM_CATEGORY_SUB`
    `static MAPIProperty` | `FORM_CLSID`
    `static MAPIProperty` | `FORM_CONTACT_NAME`
    `static MAPIProperty` | `FORM_DESIGNER_GUID`
    `static MAPIProperty` | `FORM_DESIGNER_NAME`
    `static MAPIProperty` | `FORM_HIDDEN`
    `static MAPIProperty` | `FORM_HOST_MAP`
    `static MAPIProperty` | `FORM_MESSAGE_BEHAVIOR`
    `static MAPIProperty` | `FORM_VERSION`
    `static MAPIProperty` | `FTP_SITE`
    `static MAPIProperty` | `GENDER`
    `static MAPIProperty` | `GENERATION`
    `static MAPIProperty` | `GIVEN_NAME`
    `static MAPIProperty` | `GOVERNMENT_ID_NUMBER`
    `static MAPIProperty` | `HASATTACH`
    `static MAPIProperty` | `HEADER_FOLDER_ENTRY_ID`
    `static MAPIProperty` | `HOBBIES`
    `static MAPIProperty` | `HOME_ADDRESS_CITY`
    `static MAPIProperty` | `HOME_ADDRESS_COUNTRY`
    `static MAPIProperty` | `HOME_ADDRESS_POST_OFFICE_BOX`
    `static MAPIProperty` | `HOME_ADDRESS_POSTAL_CODE`
    `static MAPIProperty` | `HOME_ADDRESS_STATE_OR_PROVINCE`
    `static MAPIProperty` | `HOME_ADDRESS_STREET`
    `static MAPIProperty` | `HOME_FAX_NUMBER`
    `static MAPIProperty` | `HOME_TELEPHONE_NUMBER`
    `static MAPIProperty` | `HOME2_TELEPHONE_NUMBER`
    `static MAPIProperty` | `ICON`
    `int` | `id`
    `static MAPIProperty` | `IDENTITY_DISPLAY`
    `static MAPIProperty` | `IDENTITY_ENTRY_ID`
    `static MAPIProperty` | `IDENTITY_SEARCH_KEY`
    `static MAPIProperty` | `IMPLICIT_CONVERSION_PROHIBITED`
    `static MAPIProperty` | `IMPORTANCE`
    `static MAPIProperty` | `IN_REPLY_TO_ID`
    `static MAPIProperty` | `INCOMPLETE_COPY`
    `static MAPIProperty` | `INET_MAIL_OVERRIDE_CHARSET`
    `static MAPIProperty` | `INET_MAIL_OVERRIDE_FORMAT`
    `static MAPIProperty` | `INITIAL_DETAILS_PANE`
    `static MAPIProperty` | `INITIALS`
    `static MAPIProperty` | `INSTANCE_KEY`
    `static MAPIProperty` | `INTERNET_APPROVED`
    `static MAPIProperty` | `INTERNET_ARTICLE_NUMBER`
    `static MAPIProperty` | `INTERNET_CONTROL`
    `static MAPIProperty` | `INTERNET_CPID`
    `static MAPIProperty` | `INTERNET_DISTRIBUTION`
    `static MAPIProperty` | `INTERNET_FOLLOWUP_TO`
    `static MAPIProperty` | `INTERNET_LINES`
    `static MAPIProperty` | `INTERNET_MESSAGE_ID`
    `static MAPIProperty` | `INTERNET_NEWSGROUPS`
    `static MAPIProperty` | `INTERNET_NNTP_PATH`
    `static MAPIProperty` | `INTERNET_ORGANIZATION`
    `static MAPIProperty` | `INTERNET_PRECEDENCE`
    `static MAPIProperty` | `INTERNET_REFERENCES`
    `static MAPIProperty` | `IPM_ID`
    `static MAPIProperty` | `IPM_OUTBOX_ENTRY_ID`
    `static MAPIProperty` | `IPM_OUTBOX_SEARCH_KEY`
    `static MAPIProperty` | `IPM_RETURN_REQUESTED`
    `static MAPIProperty` | `IPM_SENTMAIL_ENTRY_ID`
    `static MAPIProperty` | `IPM_SENTMAIL_SEARCH_KEY`
    `static MAPIProperty` | `IPM_SUBTREE_ENTRY_ID`
    `static MAPIProperty` | `IPM_SUBTREE_SEARCH_KEY`
    `static MAPIProperty` | `IPM_WASTEBASKET_ENTRY_ID`
    `static MAPIProperty` | `IPM_WASTEBASKET_SEARCH_KEY`
    `static MAPIProperty` | `ISDN_NUMBER`
    `static MAPIProperty` | `KEYWORD`
    `static MAPIProperty` | `LANGUAGE`
    `static MAPIProperty` | `LANGUAGES`
    `static MAPIProperty` | `LAST_MODIFICATION_TIME`
    `static MAPIProperty` | `LATEST_DELIVERY_TIME`
    `static MAPIProperty` | `LIST_HELP`
    `static MAPIProperty` | `LIST_SUBSCRIBE`
    `static MAPIProperty` | `LIST_UNSUBSCRIBE`
    `static MAPIProperty` | `LOCALITY`
    `static MAPIProperty` | `LOCALLY_DELIVERED`
    `static MAPIProperty` | `LOCATION`
    `static MAPIProperty` | `LOCK_BRANCH_ID`
    `static MAPIProperty` | `LOCK_DEPTH`
    `static MAPIProperty` | `LOCK_ENLISTMENT_CONTEXT`
    `static MAPIProperty` | `LOCK_EXPIRY_TIME`
    `static MAPIProperty` | `LOCK_PERSISTENT`
    `static MAPIProperty` | `LOCK_RESOURCE_DID`
    `static MAPIProperty` | `LOCK_RESOURCE_FID`
    `static MAPIProperty` | `LOCK_RESOURCE_MID`
    `static MAPIProperty` | `LOCK_SCOPE`
    `static MAPIProperty` | `LOCK_TIMEOUT`
    `static MAPIProperty` | `LOCK_TYPE`
    `static MAPIProperty` | `MAIL_PERMISSION`
    `static MAPIProperty` | `MANAGER_NAME`
    `java.lang.String` | `mapiProperty`
    `static MAPIProperty` | `MAPPING_SIGNATURE`
    `static MAPIProperty` | `MDB_PROVIDER`
    `static MAPIProperty` | `MESSAGE_ATTACHMENTS`
    `static MAPIProperty` | `MESSAGE_CC_ME`
    `static MAPIProperty` | `MESSAGE_CLASS`
    `static MAPIProperty` | `MESSAGE_CODEPAGE`
    `static MAPIProperty` | `MESSAGE_DELIVERY_ID`
    `static MAPIProperty` | `MESSAGE_DELIVERY_TIME`
    `static MAPIProperty` | `MESSAGE_DOWNLOAD_TIME`
    `static MAPIProperty` | `MESSAGE_FLAGS`
    `static MAPIProperty` | `MESSAGE_LOCALE_ID`
    `static MAPIProperty` | `MESSAGE_RECIP_ME`
    `static MAPIProperty` | `MESSAGE_RECIPIENTS`
    `static MAPIProperty` | `MESSAGE_SECURITY_LABEL`
    `static MAPIProperty` | `MESSAGE_SIZE`
    `static MAPIProperty` | `MESSAGE_SUBMISSION_ID`
    `static MAPIProperty` | `MESSAGE_TO_ME`
    `static MAPIProperty` | `MESSAGE_TOKEN`
    `static MAPIProperty` | `MHS_COMMON_NAME`
    `static MAPIProperty` | `MIDDLE_NAME`
    `static MAPIProperty` | `MINI_ICON`
    `static MAPIProperty` | `MOBILE_TELEPHONE_NUMBER`
    `static MAPIProperty` | `MODIFY_VERSION`
    `static MAPIProperty` | `MSG_STATUS`
    `java.lang.String` | `name`
    `static MAPIProperty` | `NDR_DIAG_CODE`
    `static MAPIProperty` | `NDR_REASON_CODE`
    `static MAPIProperty` | `NDR_STATUS_CODE`
    `static MAPIProperty` | `NEWSGROUP_NAME`
    `static MAPIProperty` | `NICKNAME`
    `static MAPIProperty` | `NNTP_XREF`
    `static MAPIProperty` | `NON_RECEIPT_NOTIFICATION_REQUESTED`
    `static MAPIProperty` | `NON_RECEIPT_REASON`
    `static MAPIProperty` | `NORMALIZED_SUBJECT`
    `static MAPIProperty` | `NT_SECURITY_DESCRIPTOR`
    `static MAPIProperty` | `NULL`
    `static MAPIProperty` | `OBJECT_TYPE`
    `static MAPIProperty` | `OBSOLETED_IPMS`
    `static MAPIProperty` | `OFFICE_LOCATION`
    `static MAPIProperty` | `OFFICE_TELEPHONE_NUMBER`
    `static MAPIProperty` | `OFFICE2_TELEPHONE_NUMBER`
    `static MAPIProperty` | `OOF_REPLY_TYPE`
    `static MAPIProperty` | `ORGANIZATIONAL_ID_NUMBER`
    `static MAPIProperty` | `ORIG_ENTRY_ID`
    `static MAPIProperty` | `ORIG_MESSAGE_CLASS`
    `static MAPIProperty` | `ORIGIN_CHECK`
    `static MAPIProperty` | `ORIGINAL_AUTHOR_ADDRTYPE`
    `static MAPIProperty` | `ORIGINAL_AUTHOR_EMAIL_ADDRESS`
    `static MAPIProperty` | `ORIGINAL_AUTHOR_ENTRY_ID`
    `static MAPIProperty` | `ORIGINAL_AUTHOR_NAME`
    `static MAPIProperty` | `ORIGINAL_AUTHOR_SEARCH_KEY`
    `static MAPIProperty` | `ORIGINAL_DELIVERY_TIME`
    `static MAPIProperty` | `ORIGINAL_DISPLAY_BCC`
    `static MAPIProperty` | `ORIGINAL_DISPLAY_CC`
    `static MAPIProperty` | `ORIGINAL_DISPLAY_NAME`
    `static MAPIProperty` | `ORIGINAL_DISPLAY_TO`
    `static MAPIProperty` | `ORIGINAL_EITS`
    `static MAPIProperty` | `ORIGINAL_ENTRY_ID`
    `static MAPIProperty` | `ORIGINAL_SEARCH_KEY`
    `static MAPIProperty` | `ORIGINAL_SENDER_ADDRTYPE`
    `static MAPIProperty` | `ORIGINAL_SENDER_EMAIL_ADDRESS`
    `static MAPIProperty` | `ORIGINAL_SENDER_ENTRY_ID`
    `static MAPIProperty` | `ORIGINAL_SENDER_NAME`
    `static MAPIProperty` | `ORIGINAL_SENDER_SEARCH_KEY`
    `static MAPIProperty` | `ORIGINAL_SENSITIVITY`
    `static MAPIProperty` | `ORIGINAL_SENT_REPRESENTING_ADDRTYPE`
    `static MAPIProperty` | `ORIGINAL_SENT_REPRESENTING_EMAIL_ADDRESS`
    `static MAPIProperty` | `ORIGINAL_SENT_REPRESENTING_ENTRY_ID`
    `static MAPIProperty` | `ORIGINAL_SENT_REPRESENTING_NAME`
    `static MAPIProperty` | `ORIGINAL_SENT_REPRESENTING_SEARCH_KEY`
    `static MAPIProperty` | `ORIGINAL_SUBJECT`
    `static MAPIProperty` | `ORIGINAL_SUBMIT_TIME`
    `static MAPIProperty` | `ORIGINALLY_INTENDED_RECIP_ADDRTYPE`
    `static MAPIProperty` | `ORIGINALLY_INTENDED_RECIP_EMAIL_ADDRESS`
    `static MAPIProperty` | `ORIGINALLY_INTENDED_RECIP_ENTRY_ID`
    `static MAPIProperty` | `ORIGINALLY_INTENDED_RECIPIENT_NAME`
    `static MAPIProperty` | `ORIGINATING_MTA_CERTIFICATE`
    `static MAPIProperty` | `ORIGINATOR_AND_DL_EXPANSION_HISTORY`
    `static MAPIProperty` | `ORIGINATOR_CERTIFICATE`
    `static MAPIProperty` | `ORIGINATOR_DELIVERY_REPORT_REQUESTED`
    `static MAPIProperty` | `ORIGINATOR_NON_DELIVERY_REPORT_REQUESTED`
    `static MAPIProperty` | `ORIGINATOR_REQUESTED_ALTERNATE_RECIPIENT`
    `static MAPIProperty` | `ORIGINATOR_RETURN_ADDRESS`
    `static MAPIProperty` | `OTHER_ADDRESS_CITY`
    `static MAPIProperty` | `OTHER_ADDRESS_COUNTRY`
    `static MAPIProperty` | `OTHER_ADDRESS_POST_OFFICE_BOX`
    `static MAPIProperty` | `OTHER_ADDRESS_POSTAL_CODE`
    `static MAPIProperty` | `OTHER_ADDRESS_STATE_OR_PROVINCE`
    `static MAPIProperty` | `OTHER_ADDRESS_STREET`
    `static MAPIProperty` | `OTHER_TELEPHONE_NUMBER`
    `static MAPIProperty` | `OWN_STORE_ENTRY_ID`
    `static MAPIProperty` | `OWNER_APPT_ID`
    `static MAPIProperty` | `PAGER_TELEPHONE_NUMBER`
    `static MAPIProperty` | `PARENT_DISPLAY`
    `static MAPIProperty` | `PARENT_ENTRY_ID`
    `static MAPIProperty` | `PARENT_KEY`
    `static MAPIProperty` | `PERSONAL_HOME_PAGE`
    `static MAPIProperty` | `PHYSICAL_DELIVERY_BUREAU_FAX_DELIVERY`
    `static MAPIProperty` | `PHYSICAL_DELIVERY_MODE`
    `static MAPIProperty` | `PHYSICAL_DELIVERY_REPORT_REQUEST`
    `static MAPIProperty` | `PHYSICAL_FORWARDING_ADDRESS`
    `static MAPIProperty` | `PHYSICAL_FORWARDING_ADDRESS_REQUESTED`
    `static MAPIProperty` | `PHYSICAL_FORWARDING_PROHIBITED`
    `static MAPIProperty` | `PHYSICAL_RENDITION_ATTRIBUTES`
    `static MAPIProperty` | `POST_FOLDER_ENTRIES`
    `static MAPIProperty` | `POST_FOLDER_NAMES`
    `static MAPIProperty` | `POST_OFFICE_BOX`
    `static MAPIProperty` | `POST_REPLY_DENIED`
    `static MAPIProperty` | `POST_REPLY_FOLDER_ENTRIES`
    `static MAPIProperty` | `POST_REPLY_FOLDER_NAMES`
    `static MAPIProperty` | `POSTAL_ADDRESS`
    `static MAPIProperty` | `POSTAL_CODE`
    `static MAPIProperty` | `PREPROCESS`
    `static MAPIProperty` | `PRIMARY_CAPABILITY`
    `static MAPIProperty` | `PRIMARY_FAX_NUMBER`
    `static MAPIProperty` | `PRIMARY_TELEPHONE_NUMBER`
    `static MAPIProperty` | `PRIORITY`
    `static MAPIProperty` | `PROFESSION`
    `static MAPIProperty` | `PROFILE_NAME`
    `static MAPIProperty` | `PROOF_OF_DELIVERY`
    `static MAPIProperty` | `PROOF_OF_DELIVERY_REQUESTED`
    `static MAPIProperty` | `PROOF_OF_SUBMISSION`
    `static MAPIProperty` | `PROOF_OF_SUBMISSION_REQUESTED`
    `static MAPIProperty` | `PROP_ID_SECURE_MAX`
    `static MAPIProperty` | `PROP_ID_SECURE_MIN`
    `static MAPIProperty` | `PROVIDER_DISPLAY`
    `static MAPIProperty` | `PROVIDER_DLL_NAME`
    `static MAPIProperty` | `PROVIDER_ORDINAL`
    `static MAPIProperty` | `PROVIDER_SUBMIT_TIME`
    `static MAPIProperty` | `PROVIDER_UID`
    `static MAPIProperty` | `PUID`
    `static MAPIProperty` | `RADIO_TELEPHONE_NUMBER`
    `static MAPIProperty` | `RCVD_REPRESENTING_ADDRTYPE`
    `static MAPIProperty` | `RCVD_REPRESENTING_EMAIL_ADDRESS`
    `static MAPIProperty` | `RCVD_REPRESENTING_ENTRY_ID`
    `static MAPIProperty` | `RCVD_REPRESENTING_NAME`
    `static MAPIProperty` | `RCVD_REPRESENTING_SEARCH_KEY`
    `static MAPIProperty` | `READ_RECEIPT_ENTRY_ID`
    `static MAPIProperty` | `READ_RECEIPT_REQUESTED`
    `static MAPIProperty` | `READ_RECEIPT_SEARCH_KEY`
    `static MAPIProperty` | `RECEIPT_TIME`
    `static MAPIProperty` | `RECEIVE_FOLDER_SETTINGS`
    `static MAPIProperty` | `RECEIVED_BY_ADDRTYPE`
    `static MAPIProperty` | `RECEIVED_BY_EMAIL_ADDRESS`
    `static MAPIProperty` | `RECEIVED_BY_ENTRY_ID`
    `static MAPIProperty` | `RECEIVED_BY_NAME`
    `static MAPIProperty` | `RECEIVED_BY_SEARCH_KEY`
    `static MAPIProperty` | `RECIPIENT_CERTIFICATE`
    `static MAPIProperty` | `RECIPIENT_DISPLAY_NAME`
    `static MAPIProperty` | `RECIPIENT_ENTRY_ID`
    `static MAPIProperty` | `RECIPIENT_FLAGS`
    `static MAPIProperty` | `RECIPIENT_NUMBER_FOR_ADVICE`
    `static MAPIProperty` | `RECIPIENT_REASSIGNMENT_PROHIBITED`
    `static MAPIProperty` | `RECIPIENT_STATUS`
    `static MAPIProperty` | `RECIPIENT_TYPE`
    `static MAPIProperty` | `RECORD_KEY`
    `static MAPIProperty` | `REDIRECTION_HISTORY`
    `static MAPIProperty` | `REFERRED_BY_NAME`
    `static MAPIProperty` | `REGISTERED_MAIL_TYPE`
    `static MAPIProperty` | `RELATED_IPMS`
    `static MAPIProperty` | `REMOTE_PROGRESS`
    `static MAPIProperty` | `REMOTE_PROGRESS_TEXT`
    `static MAPIProperty` | `REMOTE_VALIDATE_OK`
    `static MAPIProperty` | `RENDERING_POSITION`
    `static MAPIProperty` | `REPLY_RECIPIENT_ENTRIES`
    `static MAPIProperty` | `REPLY_RECIPIENT_NAMES`
    `static MAPIProperty` | `REPLY_REQUESTED`
    `static MAPIProperty` | `REPLY_TIME`
    `static MAPIProperty` | `REPORT_ENTRY_ID`
    `static MAPIProperty` | `REPORT_NAME`
    `static MAPIProperty` | `REPORT_SEARCH_KEY`
    `static MAPIProperty` | `REPORT_TAG`
    `static MAPIProperty` | `REPORT_TEXT`
    `static MAPIProperty` | `REPORT_TIME`
    `static MAPIProperty` | `REPORTING_DL_NAME`
    `static MAPIProperty` | `REPORTING_MTA_CERTIFICATE`
    `static MAPIProperty` | `REQUESTED_DELIVERY_METHOD`
    `static MAPIProperty` | `RESOURCE_FLAGS`
    `static MAPIProperty` | `RESOURCE_METHODS`
    `static MAPIProperty` | `RESOURCE_PATH`
    `static MAPIProperty` | `RESOURCE_TYPE`
    `static MAPIProperty` | `RESPONSE_REQUESTED`
    `static MAPIProperty` | `RESPONSIBILITY`
    `static MAPIProperty` | `RETURNED_IPM`
    `static MAPIProperty` | `ROW_TYPE`
    `static MAPIProperty` | `ROWID`
    `static MAPIProperty` | `RTF_COMPRESSED`
    `static MAPIProperty` | `RTF_IN_SYNC`
    `static MAPIProperty` | `RTF_SYNC_BODY_COUNT`
    `static MAPIProperty` | `RTF_SYNC_BODY_CRC`
    `static MAPIProperty` | `RTF_SYNC_BODY_TAG`
    `static MAPIProperty` | `RTF_SYNC_PREFIX_COUNT`
    `static MAPIProperty` | `RTF_SYNC_TRAILING_COUNT`
    `static MAPIProperty` | `SEARCH`
    `static MAPIProperty` | `SEARCH_KEY`
    `static MAPIProperty` | `SECURITY`
    `static MAPIProperty` | `SELECTABLE`
    `static MAPIProperty` | `SEND_INTERNET_ENCODING`
    `static MAPIProperty` | `SEND_RECALL_REPORT`
    `static MAPIProperty` | `SEND_RICH_INFO`
    `static MAPIProperty` | `SENDER_ADDRTYPE`
    `static MAPIProperty` | `SENDER_EMAIL_ADDRESS`
    `static MAPIProperty` | `SENDER_ENTRY_ID`
    `static MAPIProperty` | `SENDER_NAME`
    `static MAPIProperty` | `SENDER_SEARCH_KEY`
    `static MAPIProperty` | `SENSITIVITY`
    `static MAPIProperty` | `SENT_REPRESENTING_ADDRTYPE`
    `static MAPIProperty` | `SENT_REPRESENTING_EMAIL_ADDRESS`
    `static MAPIProperty` | `SENT_REPRESENTING_ENTRY_ID`
    `static MAPIProperty` | `SENT_REPRESENTING_NAME`
    `static MAPIProperty` | `SENT_REPRESENTING_SEARCH_KEY`
    `static MAPIProperty` | `SENTMAIL_ENTRY_ID`
    `static MAPIProperty` | `SERVICE_DELETE_FILES`
    `static MAPIProperty` | `SERVICE_DLL_NAME`
    `static MAPIProperty` | `SERVICE_ENTRY_NAME`
    `static MAPIProperty` | `SERVICE_EXTRA_UIDS`
    `static MAPIProperty` | `SERVICE_NAME`
    `static MAPIProperty` | `SERVICE_SUPPORT_FILES`
    `static MAPIProperty` | `SERVICE_UID`
    `static MAPIProperty` | `SERVICES`
    `static MAPIProperty` | `SEVEN_BIT_DISPLAY_NAME`
    `static MAPIProperty` | `SMTP_ADDRESS`
    `static MAPIProperty` | `SPOOLER_STATUS`
    `static MAPIProperty` | `SPOUSE_NAME`
    `static MAPIProperty` | `START_DATE`
    `static MAPIProperty` | `STATE_OR_PROVINCE`
    `static MAPIProperty` | `STATUS`
    `static MAPIProperty` | `STATUS_CODE`
    `static MAPIProperty` | `STATUS_STRING`
    `static MAPIProperty` | `STORE_ENTRY_ID`
    `static MAPIProperty` | `STORE_PROVIDERS`
    `static MAPIProperty` | `STORE_RECORD_KEY`
    `static MAPIProperty` | `STORE_STATE`
    `static MAPIProperty` | `STORE_SUPPORT_MASK`
    `static MAPIProperty` | `STREET_ADDRESS`
    `static MAPIProperty` | `SUBFOLDERS`
    `static MAPIProperty` | `SUBJECT`
    `static MAPIProperty` | `SUBJECT_IPM`
    `static MAPIProperty` | `SUBJECT_PREFIX`
    `static MAPIProperty` | `SUBMIT_FLAGS`
    `static MAPIProperty` | `SUPERSEDES`
    `static MAPIProperty` | `SUPPLEMENTARY_INFO`
    `static MAPIProperty` | `SURNAME`
    `static MAPIProperty` | `TELEX_NUMBER`
    `static MAPIProperty` | `TEMPLATEID`
    `static MAPIProperty` | `TITLE`
    `static MAPIProperty` | `TNEF_CORRELATION_KEY`
    `static MAPIProperty` | `TRANSMITABLE_DISPLAY_NAME`
    `static MAPIProperty` | `TRANSPORT_KEY`
    `static MAPIProperty` | `TRANSPORT_MESSAGE_HEADERS`
    `static MAPIProperty` | `TRANSPORT_PROVIDERS`
    `static MAPIProperty` | `TRANSPORT_STATUS`
    `static MAPIProperty` | `TTYTDD_PHONE_NUMBER`
    `static MAPIProperty` | `TYPE_OF_MTS_USER`
    `static MAPIProperty` | `UNKNOWN`
    `static MAPIProperty` | `USER_CERTIFICATE`
    `static MAPIProperty` | `USER_X509_CERTIFICATE`
    `Types.MAPIType` | `usualType`
    `static MAPIProperty` | `VALID_FOLDER_MASK`
    `static MAPIProperty` | `VIEWS_ENTRY_ID`
    `static MAPIProperty` | `WEDDING_ANNIVERSARY`
    `static MAPIProperty` | `X400_CONTENT_TYPE`
    `static MAPIProperty` | `X400_DEFERRED_DELIVERY_CANCEL`
    `static MAPIProperty` | `XPOS`
    `static MAPIProperty` | `YPOS`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `asFileName()`
    `static MAPIProperty` | `createCustom(int id, Types.MAPIType type, java.lang.String name)`
    `static MAPIProperty` | `get(int id)`
    `static java.util.Collection<MAPIProperty>` | `getAll()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### AB_DEFAULT_DIR

          public static final MAPIProperty AB_DEFAULT_DIR

    - #### AB_DEFAULT_PAB

          public static final MAPIProperty AB_DEFAULT_PAB

    - #### AB_PROVIDER_ID

          public static final MAPIProperty AB_PROVIDER_ID

    - #### AB_PROVIDERS

          public static final MAPIProperty AB_PROVIDERS

    - #### AB_SEARCH_PATH

          public static final MAPIProperty AB_SEARCH_PATH

    - #### AB_SEARCH_PATH_UPDATE

          public static final MAPIProperty AB_SEARCH_PATH_UPDATE

    - #### ACCESS

          public static final MAPIProperty ACCESS

    - #### ACCESS_LEVEL

          public static final MAPIProperty ACCESS_LEVEL

    - #### ACCOUNT

          public static final MAPIProperty ACCOUNT

    - #### ADDRTYPE

          public static final MAPIProperty ADDRTYPE

    - #### ALTERNATE_RECIPIENT

          public static final MAPIProperty ALTERNATE_RECIPIENT

    - #### ALTERNATE_RECIPIENT_ALLOWED

          public static final MAPIProperty ALTERNATE_RECIPIENT_ALLOWED

    - #### ANR

          public static final MAPIProperty ANR

    - #### ASSISTANT

          public static final MAPIProperty ASSISTANT

    - #### ASSISTANT_TELEPHONE_NUMBER

          public static final MAPIProperty ASSISTANT_TELEPHONE_NUMBER

    - #### ASSOC_CONTENT_COUNT

          public static final MAPIProperty ASSOC_CONTENT_COUNT

    - #### ATTACH_ADDITIONAL_INFO

          public static final MAPIProperty ATTACH_ADDITIONAL_INFO

    - #### ATTACH_CONTENT_BASE

          public static final MAPIProperty ATTACH_CONTENT_BASE

    - #### ATTACH_CONTENT_ID

          public static final MAPIProperty ATTACH_CONTENT_ID

    - #### ATTACH_CONTENT_LOCATION

          public static final MAPIProperty ATTACH_CONTENT_LOCATION

    - #### ATTACH_DATA

          public static final MAPIProperty ATTACH_DATA

    - #### ATTACH_DISPOSITION

          public static final MAPIProperty ATTACH_DISPOSITION

    - #### ATTACH_ENCODING

          public static final MAPIProperty ATTACH_ENCODING

    - #### ATTACH_EXTENSION

          public static final MAPIProperty ATTACH_EXTENSION

    - #### ATTACH_FILENAME

          public static final MAPIProperty ATTACH_FILENAME

    - #### ATTACH_FLAGS

          public static final MAPIProperty ATTACH_FLAGS

    - #### ATTACH_LONG_FILENAME

          public static final MAPIProperty ATTACH_LONG_FILENAME

    - #### ATTACH_LONG_PATHNAME

          public static final MAPIProperty ATTACH_LONG_PATHNAME

    - #### ATTACH_METHOD

          public static final MAPIProperty ATTACH_METHOD

    - #### ATTACH_MIME_SEQUENCE

          public static final MAPIProperty ATTACH_MIME_SEQUENCE

    - #### ATTACH_MIME_TAG

          public static final MAPIProperty ATTACH_MIME_TAG

    - #### ATTACH_NETSCAPE_MAC_INFO

          public static final MAPIProperty ATTACH_NETSCAPE_MAC_INFO

    - #### ATTACH_NUM

          public static final MAPIProperty ATTACH_NUM

    - #### ATTACH_PATHNAME

          public static final MAPIProperty ATTACH_PATHNAME

    - #### ATTACH_RENDERING

          public static final MAPIProperty ATTACH_RENDERING

    - #### ATTACH_SIZE

          public static final MAPIProperty ATTACH_SIZE

    - #### ATTACH_TAG

          public static final MAPIProperty ATTACH_TAG

    - #### ATTACH_TRANSPORT_NAME

          public static final MAPIProperty ATTACH_TRANSPORT_NAME

    - #### ATTACHMENT_X400_PARAMETERS

          public static final MAPIProperty ATTACHMENT_X400_PARAMETERS

    - #### AUTHORIZING_USERS

          public static final MAPIProperty AUTHORIZING_USERS

    - #### AUTO_FORWARD_COMMENT

          public static final MAPIProperty AUTO_FORWARD_COMMENT

    - #### AUTO_FORWARDED

          public static final MAPIProperty AUTO_FORWARDED

    - #### AUTO_RESPONSE_SUPPRESS

          public static final MAPIProperty AUTO_RESPONSE_SUPPRESS

    - #### BIRTHDAY

          public static final MAPIProperty BIRTHDAY

    - #### BODY

          public static final MAPIProperty BODY

    - #### BODY_CONTENT_ID

          public static final MAPIProperty BODY_CONTENT_ID

    - #### BODY_CONTENT_LOCATION

          public static final MAPIProperty BODY_CONTENT_LOCATION

    - #### BODY_CRC

          public static final MAPIProperty BODY_CRC

    - #### BODY_HTML

          public static final MAPIProperty BODY_HTML

    - #### BUSINESS_FAX_NUMBER

          public static final MAPIProperty BUSINESS_FAX_NUMBER

    - #### BUSINESS_HOME_PAGE

          public static final MAPIProperty BUSINESS_HOME_PAGE

    - #### CALLBACK_TELEPHONE_NUMBER

          public static final MAPIProperty CALLBACK_TELEPHONE_NUMBER

    - #### CAR_TELEPHONE_NUMBER

          public static final MAPIProperty CAR_TELEPHONE_NUMBER

    - #### CHILDRENS_NAMES

          public static final MAPIProperty CHILDRENS_NAMES

    - #### CLIENT_SUBMIT_TIME

          public static final MAPIProperty CLIENT_SUBMIT_TIME

    - #### COMMENT

          public static final MAPIProperty COMMENT

    - #### COMMON_VIEWS_ENTRY_ID

          public static final MAPIProperty COMMON_VIEWS_ENTRY_ID

    - #### COMPANY_MAIN_PHONE_NUMBER

          public static final MAPIProperty COMPANY_MAIN_PHONE_NUMBER

    - #### COMPANY_NAME

          public static final MAPIProperty COMPANY_NAME

    - #### COMPUTER_NETWORK_NAME

          public static final MAPIProperty COMPUTER_NETWORK_NAME

    - #### CONTACT_ADDRTYPES

          public static final MAPIProperty CONTACT_ADDRTYPES

    - #### CONTACT_DEFAULT_ADDRESS_INDEX

          public static final MAPIProperty CONTACT_DEFAULT_ADDRESS_INDEX

    - #### CONTACT_EMAIL_ADDRESSES

          public static final MAPIProperty CONTACT_EMAIL_ADDRESSES

    - #### CONTACT_ENTRY_IDS

          public static final MAPIProperty CONTACT_ENTRY_IDS

    - #### CONTACT_VERSION

          public static final MAPIProperty CONTACT_VERSION

    - #### CONTAINER_CLASS

          public static final MAPIProperty CONTAINER_CLASS

    - #### CONTAINER_CONTENTS

          public static final MAPIProperty CONTAINER_CONTENTS

    - #### CONTAINER_FLAGS

          public static final MAPIProperty CONTAINER_FLAGS

    - #### CONTAINER_HIERARCHY

          public static final MAPIProperty CONTAINER_HIERARCHY

    - #### CONTAINER_MODIFY_VERSION

          public static final MAPIProperty CONTAINER_MODIFY_VERSION

    - #### CONTENT_CONFIDENTIALITY_ALGORITHM_ID

          public static final MAPIProperty CONTENT_CONFIDENTIALITY_ALGORITHM_ID

    - #### CONTENT_CORRELATOR

          public static final MAPIProperty CONTENT_CORRELATOR

    - #### CONTENT_COUNT

          public static final MAPIProperty CONTENT_COUNT

    - #### CONTENT_IDENTIFIER

          public static final MAPIProperty CONTENT_IDENTIFIER

    - #### CONTENT_INTEGRITY_CHECK

          public static final MAPIProperty CONTENT_INTEGRITY_CHECK

    - #### CONTENT_LENGTH

          public static final MAPIProperty CONTENT_LENGTH

    - #### CONTENT_RETURN_REQUESTED

          public static final MAPIProperty CONTENT_RETURN_REQUESTED

    - #### CONTENT_UNREAD

          public static final MAPIProperty CONTENT_UNREAD

    - #### CONTENTS_SORT_ORDER

          public static final MAPIProperty CONTENTS_SORT_ORDER

    - #### CONTROL_FLAGS

          public static final MAPIProperty CONTROL_FLAGS

    - #### CONTROL_ID

          public static final MAPIProperty CONTROL_ID

    - #### CONTROL_STRUCTURE

          public static final MAPIProperty CONTROL_STRUCTURE

    - #### CONTROL_TYPE

          public static final MAPIProperty CONTROL_TYPE

    - #### CONVERSATION_INDEX

          public static final MAPIProperty CONVERSATION_INDEX

    - #### CONVERSATION_KEY

          public static final MAPIProperty CONVERSATION_KEY

    - #### CONVERSATION_TOPIC

          public static final MAPIProperty CONVERSATION_TOPIC

    - #### CONVERSION_EITS

          public static final MAPIProperty CONVERSION_EITS

    - #### CONVERSION_PROHIBITED

          public static final MAPIProperty CONVERSION_PROHIBITED

    - #### CONVERSION_WITH_LOSS_PROHIBITED

          public static final MAPIProperty CONVERSION_WITH_LOSS_PROHIBITED

    - #### CONVERTED_EITS

          public static final MAPIProperty CONVERTED_EITS

    - #### CORRELATE

          public static final MAPIProperty CORRELATE

    - #### CORRELATE_MTSID

          public static final MAPIProperty CORRELATE_MTSID

    - #### COUNTRY

          public static final MAPIProperty COUNTRY

    - #### CREATE_TEMPLATES

          public static final MAPIProperty CREATE_TEMPLATES

    - #### CREATION_TIME

          public static final MAPIProperty CREATION_TIME

    - #### CREATION_VERSION

          public static final MAPIProperty CREATION_VERSION

    - #### CURRENT_VERSION

          public static final MAPIProperty CURRENT_VERSION

    - #### CUSTOMER_ID

          public static final MAPIProperty CUSTOMER_ID

    - #### DEF_CREATE_DL

          public static final MAPIProperty DEF_CREATE_DL

    - #### DEF_CREATE_MAILUSER

          public static final MAPIProperty DEF_CREATE_MAILUSER

    - #### DEFAULT_PROFILE

          public static final MAPIProperty DEFAULT_PROFILE

    - #### DEFAULT_STORE

          public static final MAPIProperty DEFAULT_STORE

    - #### DEFAULT_VIEW_ENTRY_ID

          public static final MAPIProperty DEFAULT_VIEW_ENTRY_ID

    - #### DEFERRED_DELIVERY_TIME

          public static final MAPIProperty DEFERRED_DELIVERY_TIME

    - #### DELEGATION

          public static final MAPIProperty DELEGATION

    - #### DELETE_AFTER_SUBMIT

          public static final MAPIProperty DELETE_AFTER_SUBMIT

    - #### DELIVER_TIME

          public static final MAPIProperty DELIVER_TIME

    - #### DELIVERY_POINT

          public static final MAPIProperty DELIVERY_POINT

    - #### DELTAX

          public static final MAPIProperty DELTAX

    - #### DELTAY

          public static final MAPIProperty DELTAY

    - #### DEPARTMENT_NAME

          public static final MAPIProperty DEPARTMENT_NAME

    - #### DEPTH

          public static final MAPIProperty DEPTH

    - #### DETAILS_TABLE

          public static final MAPIProperty DETAILS_TABLE

    - #### DISC_VAL

          public static final MAPIProperty DISC_VAL

    - #### DISCARD_REASON

          public static final MAPIProperty DISCARD_REASON

    - #### DISCLOSE_RECIPIENTS

          public static final MAPIProperty DISCLOSE_RECIPIENTS

    - #### DISCLOSURE_OF_RECIPIENTS

          public static final MAPIProperty DISCLOSURE_OF_RECIPIENTS

    - #### DISCRETE_VALUES

          public static final MAPIProperty DISCRETE_VALUES

    - #### DISPLAY_BCC

          public static final MAPIProperty DISPLAY_BCC

    - #### DISPLAY_CC

          public static final MAPIProperty DISPLAY_CC

    - #### DISPLAY_NAME

          public static final MAPIProperty DISPLAY_NAME

    - #### DISPLAY_NAME_PREFIX

          public static final MAPIProperty DISPLAY_NAME_PREFIX

    - #### DISPLAY_TO

          public static final MAPIProperty DISPLAY_TO

    - #### DISPLAY_TYPE

          public static final MAPIProperty DISPLAY_TYPE

    - #### DL_EXPANSION_HISTORY

          public static final MAPIProperty DL_EXPANSION_HISTORY

    - #### DL_EXPANSION_PROHIBITED

          public static final MAPIProperty DL_EXPANSION_PROHIBITED

    - #### EMAIL_ADDRESS

          public static final MAPIProperty EMAIL_ADDRESS

    - #### END_DATE

          public static final MAPIProperty END_DATE

    - #### ENTRY_ID

          public static final MAPIProperty ENTRY_ID

    - #### EXPAND_BEGIN_TIME

          public static final MAPIProperty EXPAND_BEGIN_TIME

    - #### EXPAND_END_TIME

          public static final MAPIProperty EXPAND_END_TIME

    - #### EXPANDED_BEGIN_TIME

          public static final MAPIProperty EXPANDED_BEGIN_TIME

    - #### EXPANDED_END_TIME

          public static final MAPIProperty EXPANDED_END_TIME

    - #### EXPIRY_TIME

          public static final MAPIProperty EXPIRY_TIME

    - #### EXPLICIT_CONVERSION

          public static final MAPIProperty EXPLICIT_CONVERSION

    - #### FILTERING_HOOKS

          public static final MAPIProperty FILTERING_HOOKS

    - #### FINDER_ENTRY_ID

          public static final MAPIProperty FINDER_ENTRY_ID

    - #### FOLDER_ASSOCIATED_CONTENTS

          public static final MAPIProperty FOLDER_ASSOCIATED_CONTENTS

    - #### FOLDER_TYPE

          public static final MAPIProperty FOLDER_TYPE

    - #### FORM_CATEGORY

          public static final MAPIProperty FORM_CATEGORY

    - #### FORM_CATEGORY_SUB

          public static final MAPIProperty FORM_CATEGORY_SUB

    - #### FORM_CLSID

          public static final MAPIProperty FORM_CLSID

    - #### FORM_CONTACT_NAME

          public static final MAPIProperty FORM_CONTACT_NAME

    - #### FORM_DESIGNER_GUID

          public static final MAPIProperty FORM_DESIGNER_GUID

    - #### FORM_DESIGNER_NAME

          public static final MAPIProperty FORM_DESIGNER_NAME

    - #### FORM_HIDDEN

          public static final MAPIProperty FORM_HIDDEN

    - #### FORM_HOST_MAP

          public static final MAPIProperty FORM_HOST_MAP

    - #### FORM_MESSAGE_BEHAVIOR

          public static final MAPIProperty FORM_MESSAGE_BEHAVIOR

    - #### FORM_VERSION

          public static final MAPIProperty FORM_VERSION

    - #### FTP_SITE

          public static final MAPIProperty FTP_SITE

    - #### GENDER

          public static final MAPIProperty GENDER

    - #### GENERATION

          public static final MAPIProperty GENERATION

    - #### GIVEN_NAME

          public static final MAPIProperty GIVEN_NAME

    - #### GOVERNMENT_ID_NUMBER

          public static final MAPIProperty GOVERNMENT_ID_NUMBER

    - #### HASATTACH

          public static final MAPIProperty HASATTACH

    - #### HEADER_FOLDER_ENTRY_ID

          public static final MAPIProperty HEADER_FOLDER_ENTRY_ID

    - #### HOBBIES

          public static final MAPIProperty HOBBIES

    - #### HOME2_TELEPHONE_NUMBER

          public static final MAPIProperty HOME2_TELEPHONE_NUMBER

    - #### HOME_ADDRESS_CITY

          public static final MAPIProperty HOME_ADDRESS_CITY

    - #### HOME_ADDRESS_COUNTRY

          public static final MAPIProperty HOME_ADDRESS_COUNTRY

    - #### HOME_ADDRESS_POST_OFFICE_BOX

          public static final MAPIProperty HOME_ADDRESS_POST_OFFICE_BOX

    - #### HOME_ADDRESS_POSTAL_CODE

          public static final MAPIProperty HOME_ADDRESS_POSTAL_CODE

    - #### HOME_ADDRESS_STATE_OR_PROVINCE

          public static final MAPIProperty HOME_ADDRESS_STATE_OR_PROVINCE

    - #### HOME_ADDRESS_STREET

          public static final MAPIProperty HOME_ADDRESS_STREET

    - #### HOME_FAX_NUMBER

          public static final MAPIProperty HOME_FAX_NUMBER

    - #### HOME_TELEPHONE_NUMBER

          public static final MAPIProperty HOME_TELEPHONE_NUMBER

    - #### INET_MAIL_OVERRIDE_CHARSET

          public static final MAPIProperty INET_MAIL_OVERRIDE_CHARSET

    - #### INET_MAIL_OVERRIDE_FORMAT

          public static final MAPIProperty INET_MAIL_OVERRIDE_FORMAT

    - #### ICON

          public static final MAPIProperty ICON

    - #### IDENTITY_DISPLAY

          public static final MAPIProperty IDENTITY_DISPLAY

    - #### IDENTITY_ENTRY_ID

          public static final MAPIProperty IDENTITY_ENTRY_ID

    - #### IDENTITY_SEARCH_KEY

          public static final MAPIProperty IDENTITY_SEARCH_KEY

    - #### IMPLICIT_CONVERSION_PROHIBITED

          public static final MAPIProperty IMPLICIT_CONVERSION_PROHIBITED

    - #### IMPORTANCE

          public static final MAPIProperty IMPORTANCE

    - #### IN_REPLY_TO_ID

          public static final MAPIProperty IN_REPLY_TO_ID

    - #### INCOMPLETE_COPY

          public static final MAPIProperty INCOMPLETE_COPY

    - #### INITIAL_DETAILS_PANE

          public static final MAPIProperty INITIAL_DETAILS_PANE

    - #### INITIALS

          public static final MAPIProperty INITIALS

    - #### INSTANCE_KEY

          public static final MAPIProperty INSTANCE_KEY

    - #### INTERNET_APPROVED

          public static final MAPIProperty INTERNET_APPROVED

    - #### INTERNET_ARTICLE_NUMBER

          public static final MAPIProperty INTERNET_ARTICLE_NUMBER

    - #### INTERNET_CPID

          public static final MAPIProperty INTERNET_CPID

    - #### INTERNET_CONTROL

          public static final MAPIProperty INTERNET_CONTROL

    - #### INTERNET_DISTRIBUTION

          public static final MAPIProperty INTERNET_DISTRIBUTION

    - #### INTERNET_FOLLOWUP_TO

          public static final MAPIProperty INTERNET_FOLLOWUP_TO

    - #### INTERNET_LINES

          public static final MAPIProperty INTERNET_LINES

    - #### INTERNET_MESSAGE_ID

          public static final MAPIProperty INTERNET_MESSAGE_ID

    - #### INTERNET_NEWSGROUPS

          public static final MAPIProperty INTERNET_NEWSGROUPS

    - #### INTERNET_NNTP_PATH

          public static final MAPIProperty INTERNET_NNTP_PATH

    - #### INTERNET_ORGANIZATION

          public static final MAPIProperty INTERNET_ORGANIZATION

    - #### INTERNET_PRECEDENCE

          public static final MAPIProperty INTERNET_PRECEDENCE

    - #### INTERNET_REFERENCES

          public static final MAPIProperty INTERNET_REFERENCES

    - #### IPM_ID

          public static final MAPIProperty IPM_ID

    - #### IPM_OUTBOX_ENTRY_ID

          public static final MAPIProperty IPM_OUTBOX_ENTRY_ID

    - #### IPM_OUTBOX_SEARCH_KEY

          public static final MAPIProperty IPM_OUTBOX_SEARCH_KEY

    - #### IPM_RETURN_REQUESTED

          public static final MAPIProperty IPM_RETURN_REQUESTED

    - #### IPM_SENTMAIL_ENTRY_ID

          public static final MAPIProperty IPM_SENTMAIL_ENTRY_ID

    - #### IPM_SENTMAIL_SEARCH_KEY

          public static final MAPIProperty IPM_SENTMAIL_SEARCH_KEY

    - #### IPM_SUBTREE_ENTRY_ID

          public static final MAPIProperty IPM_SUBTREE_ENTRY_ID

    - #### IPM_SUBTREE_SEARCH_KEY

          public static final MAPIProperty IPM_SUBTREE_SEARCH_KEY

    - #### IPM_WASTEBASKET_ENTRY_ID

          public static final MAPIProperty IPM_WASTEBASKET_ENTRY_ID

    - #### IPM_WASTEBASKET_SEARCH_KEY

          public static final MAPIProperty IPM_WASTEBASKET_SEARCH_KEY

    - #### ISDN_NUMBER

          public static final MAPIProperty ISDN_NUMBER

    - #### KEYWORD

          public static final MAPIProperty KEYWORD

    - #### LANGUAGE

          public static final MAPIProperty LANGUAGE

    - #### LANGUAGES

          public static final MAPIProperty LANGUAGES

    - #### LAST_MODIFICATION_TIME

          public static final MAPIProperty LAST_MODIFICATION_TIME

    - #### LATEST_DELIVERY_TIME

          public static final MAPIProperty LATEST_DELIVERY_TIME

    - #### LIST_HELP

          public static final MAPIProperty LIST_HELP

    - #### LIST_SUBSCRIBE

          public static final MAPIProperty LIST_SUBSCRIBE

    - #### LIST_UNSUBSCRIBE

          public static final MAPIProperty LIST_UNSUBSCRIBE

    - #### LOCALITY

          public static final MAPIProperty LOCALITY

    - #### LOCALLY_DELIVERED

          public static final MAPIProperty LOCALLY_DELIVERED

    - #### LOCATION

          public static final MAPIProperty LOCATION

    - #### LOCK_BRANCH_ID

          public static final MAPIProperty LOCK_BRANCH_ID

    - #### LOCK_DEPTH

          public static final MAPIProperty LOCK_DEPTH

    - #### LOCK_ENLISTMENT_CONTEXT

          public static final MAPIProperty LOCK_ENLISTMENT_CONTEXT

    - #### LOCK_EXPIRY_TIME

          public static final MAPIProperty LOCK_EXPIRY_TIME

    - #### LOCK_PERSISTENT

          public static final MAPIProperty LOCK_PERSISTENT

    - #### LOCK_RESOURCE_DID

          public static final MAPIProperty LOCK_RESOURCE_DID

    - #### LOCK_RESOURCE_FID

          public static final MAPIProperty LOCK_RESOURCE_FID

    - #### LOCK_RESOURCE_MID

          public static final MAPIProperty LOCK_RESOURCE_MID

    - #### LOCK_SCOPE

          public static final MAPIProperty LOCK_SCOPE

    - #### LOCK_TIMEOUT

          public static final MAPIProperty LOCK_TIMEOUT

    - #### LOCK_TYPE

          public static final MAPIProperty LOCK_TYPE

    - #### MAIL_PERMISSION

          public static final MAPIProperty MAIL_PERMISSION

    - #### MANAGER_NAME

          public static final MAPIProperty MANAGER_NAME

    - #### MAPPING_SIGNATURE

          public static final MAPIProperty MAPPING_SIGNATURE

    - #### MDB_PROVIDER

          public static final MAPIProperty MDB_PROVIDER

    - #### MESSAGE_ATTACHMENTS

          public static final MAPIProperty MESSAGE_ATTACHMENTS

    - #### MESSAGE_CC_ME

          public static final MAPIProperty MESSAGE_CC_ME

    - #### MESSAGE_CLASS

          public static final MAPIProperty MESSAGE_CLASS

    - #### MESSAGE_CODEPAGE

          public static final MAPIProperty MESSAGE_CODEPAGE

    - #### MESSAGE_LOCALE_ID

          public static final MAPIProperty MESSAGE_LOCALE_ID

    - #### MESSAGE_DELIVERY_ID

          public static final MAPIProperty MESSAGE_DELIVERY_ID

    - #### MESSAGE_DELIVERY_TIME

          public static final MAPIProperty MESSAGE_DELIVERY_TIME

    - #### MESSAGE_DOWNLOAD_TIME

          public static final MAPIProperty MESSAGE_DOWNLOAD_TIME

    - #### MESSAGE_FLAGS

          public static final MAPIProperty MESSAGE_FLAGS

    - #### MESSAGE_RECIP_ME

          public static final MAPIProperty MESSAGE_RECIP_ME

    - #### MESSAGE_RECIPIENTS

          public static final MAPIProperty MESSAGE_RECIPIENTS

    - #### MESSAGE_SECURITY_LABEL

          public static final MAPIProperty MESSAGE_SECURITY_LABEL

    - #### MESSAGE_SIZE

          public static final MAPIProperty MESSAGE_SIZE

    - #### MESSAGE_SUBMISSION_ID

          public static final MAPIProperty MESSAGE_SUBMISSION_ID

    - #### MESSAGE_TO_ME

          public static final MAPIProperty MESSAGE_TO_ME

    - #### MESSAGE_TOKEN

          public static final MAPIProperty MESSAGE_TOKEN

    - #### MHS_COMMON_NAME

          public static final MAPIProperty MHS_COMMON_NAME

    - #### MIDDLE_NAME

          public static final MAPIProperty MIDDLE_NAME

    - #### MINI_ICON

          public static final MAPIProperty MINI_ICON

    - #### MOBILE_TELEPHONE_NUMBER

          public static final MAPIProperty MOBILE_TELEPHONE_NUMBER

    - #### MODIFY_VERSION

          public static final MAPIProperty MODIFY_VERSION

    - #### MSG_STATUS

          public static final MAPIProperty MSG_STATUS

    - #### NDR_DIAG_CODE

          public static final MAPIProperty NDR_DIAG_CODE

    - #### NDR_REASON_CODE

          public static final MAPIProperty NDR_REASON_CODE

    - #### NDR_STATUS_CODE

          public static final MAPIProperty NDR_STATUS_CODE

    - #### NEWSGROUP_NAME

          public static final MAPIProperty NEWSGROUP_NAME

    - #### NICKNAME

          public static final MAPIProperty NICKNAME

    - #### NNTP_XREF

          public static final MAPIProperty NNTP_XREF

    - #### NON_RECEIPT_NOTIFICATION_REQUESTED

          public static final MAPIProperty NON_RECEIPT_NOTIFICATION_REQUESTED

    - #### NON_RECEIPT_REASON

          public static final MAPIProperty NON_RECEIPT_REASON

    - #### NORMALIZED_SUBJECT

          public static final MAPIProperty NORMALIZED_SUBJECT

    - #### NT_SECURITY_DESCRIPTOR

          public static final MAPIProperty NT_SECURITY_DESCRIPTOR

    - #### NULL

          public static final MAPIProperty NULL

    - #### OBJECT_TYPE

          public static final MAPIProperty OBJECT_TYPE

    - #### OBSOLETED_IPMS

          public static final MAPIProperty OBSOLETED_IPMS

    - #### OFFICE2_TELEPHONE_NUMBER

          public static final MAPIProperty OFFICE2_TELEPHONE_NUMBER

    - #### OFFICE_LOCATION

          public static final MAPIProperty OFFICE_LOCATION

    - #### OFFICE_TELEPHONE_NUMBER

          public static final MAPIProperty OFFICE_TELEPHONE_NUMBER

    - #### OOF_REPLY_TYPE

          public static final MAPIProperty OOF_REPLY_TYPE

    - #### ORGANIZATIONAL_ID_NUMBER

          public static final MAPIProperty ORGANIZATIONAL_ID_NUMBER

    - #### ORIG_ENTRY_ID

          public static final MAPIProperty ORIG_ENTRY_ID

    - #### ORIG_MESSAGE_CLASS

          public static final MAPIProperty ORIG_MESSAGE_CLASS

    - #### ORIGIN_CHECK

          public static final MAPIProperty ORIGIN_CHECK

    - #### ORIGINAL_AUTHOR_ADDRTYPE

          public static final MAPIProperty ORIGINAL_AUTHOR_ADDRTYPE

    - #### ORIGINAL_AUTHOR_EMAIL_ADDRESS

          public static final MAPIProperty ORIGINAL_AUTHOR_EMAIL_ADDRESS

    - #### ORIGINAL_AUTHOR_ENTRY_ID

          public static final MAPIProperty ORIGINAL_AUTHOR_ENTRY_ID

    - #### ORIGINAL_AUTHOR_NAME

          public static final MAPIProperty ORIGINAL_AUTHOR_NAME

    - #### ORIGINAL_AUTHOR_SEARCH_KEY

          public static final MAPIProperty ORIGINAL_AUTHOR_SEARCH_KEY

    - #### ORIGINAL_DELIVERY_TIME

          public static final MAPIProperty ORIGINAL_DELIVERY_TIME

    - #### ORIGINAL_DISPLAY_BCC

          public static final MAPIProperty ORIGINAL_DISPLAY_BCC

    - #### ORIGINAL_DISPLAY_CC

          public static final MAPIProperty ORIGINAL_DISPLAY_CC

    - #### ORIGINAL_DISPLAY_NAME

          public static final MAPIProperty ORIGINAL_DISPLAY_NAME

    - #### ORIGINAL_DISPLAY_TO

          public static final MAPIProperty ORIGINAL_DISPLAY_TO

    - #### ORIGINAL_EITS

          public static final MAPIProperty ORIGINAL_EITS

    - #### ORIGINAL_ENTRY_ID

          public static final MAPIProperty ORIGINAL_ENTRY_ID

    - #### ORIGINAL_SEARCH_KEY

          public static final MAPIProperty ORIGINAL_SEARCH_KEY

    - #### ORIGINAL_SENDER_ADDRTYPE

          public static final MAPIProperty ORIGINAL_SENDER_ADDRTYPE

    - #### ORIGINAL_SENDER_EMAIL_ADDRESS

          public static final MAPIProperty ORIGINAL_SENDER_EMAIL_ADDRESS

    - #### ORIGINAL_SENDER_ENTRY_ID

          public static final MAPIProperty ORIGINAL_SENDER_ENTRY_ID

    - #### ORIGINAL_SENDER_NAME

          public static final MAPIProperty ORIGINAL_SENDER_NAME

    - #### ORIGINAL_SENDER_SEARCH_KEY

          public static final MAPIProperty ORIGINAL_SENDER_SEARCH_KEY

    - #### ORIGINAL_SENSITIVITY

          public static final MAPIProperty ORIGINAL_SENSITIVITY

    - #### ORIGINAL_SENT_REPRESENTING_ADDRTYPE

          public static final MAPIProperty ORIGINAL_SENT_REPRESENTING_ADDRTYPE

    - #### ORIGINAL_SENT_REPRESENTING_EMAIL_ADDRESS

          public static final MAPIProperty ORIGINAL_SENT_REPRESENTING_EMAIL_ADDRESS

    - #### ORIGINAL_SENT_REPRESENTING_ENTRY_ID

          public static final MAPIProperty ORIGINAL_SENT_REPRESENTING_ENTRY_ID

    - #### ORIGINAL_SENT_REPRESENTING_NAME

          public static final MAPIProperty ORIGINAL_SENT_REPRESENTING_NAME

    - #### ORIGINAL_SENT_REPRESENTING_SEARCH_KEY

          public static final MAPIProperty ORIGINAL_SENT_REPRESENTING_SEARCH_KEY

    - #### ORIGINAL_SUBJECT

          public static final MAPIProperty ORIGINAL_SUBJECT

    - #### ORIGINAL_SUBMIT_TIME

          public static final MAPIProperty ORIGINAL_SUBMIT_TIME

    - #### ORIGINALLY_INTENDED_RECIP_ADDRTYPE

          public static final MAPIProperty ORIGINALLY_INTENDED_RECIP_ADDRTYPE

    - #### ORIGINALLY_INTENDED_RECIP_EMAIL_ADDRESS

          public static final MAPIProperty ORIGINALLY_INTENDED_RECIP_EMAIL_ADDRESS

    - #### ORIGINALLY_INTENDED_RECIP_ENTRY_ID

          public static final MAPIProperty ORIGINALLY_INTENDED_RECIP_ENTRY_ID

    - #### ORIGINALLY_INTENDED_RECIPIENT_NAME

          public static final MAPIProperty ORIGINALLY_INTENDED_RECIPIENT_NAME

    - #### ORIGINATING_MTA_CERTIFICATE

          public static final MAPIProperty ORIGINATING_MTA_CERTIFICATE

    - #### ORIGINATOR_AND_DL_EXPANSION_HISTORY

          public static final MAPIProperty ORIGINATOR_AND_DL_EXPANSION_HISTORY

    - #### ORIGINATOR_CERTIFICATE

          public static final MAPIProperty ORIGINATOR_CERTIFICATE

    - #### ORIGINATOR_DELIVERY_REPORT_REQUESTED

          public static final MAPIProperty ORIGINATOR_DELIVERY_REPORT_REQUESTED

    - #### ORIGINATOR_NON_DELIVERY_REPORT_REQUESTED

          public static final MAPIProperty ORIGINATOR_NON_DELIVERY_REPORT_REQUESTED

    - #### ORIGINATOR_REQUESTED_ALTERNATE_RECIPIENT

          public static final MAPIProperty ORIGINATOR_REQUESTED_ALTERNATE_RECIPIENT

    - #### ORIGINATOR_RETURN_ADDRESS

          public static final MAPIProperty ORIGINATOR_RETURN_ADDRESS

    - #### OTHER_ADDRESS_CITY

          public static final MAPIProperty OTHER_ADDRESS_CITY

    - #### OTHER_ADDRESS_COUNTRY

          public static final MAPIProperty OTHER_ADDRESS_COUNTRY

    - #### OTHER_ADDRESS_POST_OFFICE_BOX

          public static final MAPIProperty OTHER_ADDRESS_POST_OFFICE_BOX

    - #### OTHER_ADDRESS_POSTAL_CODE

          public static final MAPIProperty OTHER_ADDRESS_POSTAL_CODE

    - #### OTHER_ADDRESS_STATE_OR_PROVINCE

          public static final MAPIProperty OTHER_ADDRESS_STATE_OR_PROVINCE

    - #### OTHER_ADDRESS_STREET

          public static final MAPIProperty OTHER_ADDRESS_STREET

    - #### OTHER_TELEPHONE_NUMBER

          public static final MAPIProperty OTHER_TELEPHONE_NUMBER

    - #### OWN_STORE_ENTRY_ID

          public static final MAPIProperty OWN_STORE_ENTRY_ID

    - #### OWNER_APPT_ID

          public static final MAPIProperty OWNER_APPT_ID

    - #### PAGER_TELEPHONE_NUMBER

          public static final MAPIProperty PAGER_TELEPHONE_NUMBER

    - #### PARENT_DISPLAY

          public static final MAPIProperty PARENT_DISPLAY

    - #### PARENT_ENTRY_ID

          public static final MAPIProperty PARENT_ENTRY_ID

    - #### PARENT_KEY

          public static final MAPIProperty PARENT_KEY

    - #### PERSONAL_HOME_PAGE

          public static final MAPIProperty PERSONAL_HOME_PAGE

    - #### PHYSICAL_DELIVERY_BUREAU_FAX_DELIVERY

          public static final MAPIProperty PHYSICAL_DELIVERY_BUREAU_FAX_DELIVERY

    - #### PHYSICAL_DELIVERY_MODE

          public static final MAPIProperty PHYSICAL_DELIVERY_MODE

    - #### PHYSICAL_DELIVERY_REPORT_REQUEST

          public static final MAPIProperty PHYSICAL_DELIVERY_REPORT_REQUEST

    - #### PHYSICAL_FORWARDING_ADDRESS

          public static final MAPIProperty PHYSICAL_FORWARDING_ADDRESS

    - #### PHYSICAL_FORWARDING_ADDRESS_REQUESTED

          public static final MAPIProperty PHYSICAL_FORWARDING_ADDRESS_REQUESTED

    - #### PHYSICAL_FORWARDING_PROHIBITED

          public static final MAPIProperty PHYSICAL_FORWARDING_PROHIBITED

    - #### PHYSICAL_RENDITION_ATTRIBUTES

          public static final MAPIProperty PHYSICAL_RENDITION_ATTRIBUTES

    - #### POST_FOLDER_ENTRIES

          public static final MAPIProperty POST_FOLDER_ENTRIES

    - #### POST_FOLDER_NAMES

          public static final MAPIProperty POST_FOLDER_NAMES

    - #### POST_OFFICE_BOX

          public static final MAPIProperty POST_OFFICE_BOX

    - #### POST_REPLY_DENIED

          public static final MAPIProperty POST_REPLY_DENIED

    - #### POST_REPLY_FOLDER_ENTRIES

          public static final MAPIProperty POST_REPLY_FOLDER_ENTRIES

    - #### POST_REPLY_FOLDER_NAMES

          public static final MAPIProperty POST_REPLY_FOLDER_NAMES

    - #### POSTAL_ADDRESS

          public static final MAPIProperty POSTAL_ADDRESS

    - #### POSTAL_CODE

          public static final MAPIProperty POSTAL_CODE

    - #### PREPROCESS

          public static final MAPIProperty PREPROCESS

    - #### PRIMARY_CAPABILITY

          public static final MAPIProperty PRIMARY_CAPABILITY

    - #### PRIMARY_FAX_NUMBER

          public static final MAPIProperty PRIMARY_FAX_NUMBER

    - #### PRIMARY_TELEPHONE_NUMBER

          public static final MAPIProperty PRIMARY_TELEPHONE_NUMBER

    - #### PRIORITY

          public static final MAPIProperty PRIORITY

    - #### PROFESSION

          public static final MAPIProperty PROFESSION

    - #### PROFILE_NAME

          public static final MAPIProperty PROFILE_NAME

    - #### PROOF_OF_DELIVERY

          public static final MAPIProperty PROOF_OF_DELIVERY

    - #### PROOF_OF_DELIVERY_REQUESTED

          public static final MAPIProperty PROOF_OF_DELIVERY_REQUESTED

    - #### PROOF_OF_SUBMISSION

          public static final MAPIProperty PROOF_OF_SUBMISSION

    - #### PROOF_OF_SUBMISSION_REQUESTED

          public static final MAPIProperty PROOF_OF_SUBMISSION_REQUESTED

    - #### PROP_ID_SECURE_MAX

          public static final MAPIProperty PROP_ID_SECURE_MAX

    - #### PROP_ID_SECURE_MIN

          public static final MAPIProperty PROP_ID_SECURE_MIN

    - #### PROVIDER_DISPLAY

          public static final MAPIProperty PROVIDER_DISPLAY

    - #### PROVIDER_DLL_NAME

          public static final MAPIProperty PROVIDER_DLL_NAME

    - #### PROVIDER_ORDINAL

          public static final MAPIProperty PROVIDER_ORDINAL

    - #### PROVIDER_SUBMIT_TIME

          public static final MAPIProperty PROVIDER_SUBMIT_TIME

    - #### PROVIDER_UID

          public static final MAPIProperty PROVIDER_UID

    - #### PUID

          public static final MAPIProperty PUID

    - #### RADIO_TELEPHONE_NUMBER

          public static final MAPIProperty RADIO_TELEPHONE_NUMBER

    - #### RCVD_REPRESENTING_ADDRTYPE

          public static final MAPIProperty RCVD_REPRESENTING_ADDRTYPE

    - #### RCVD_REPRESENTING_EMAIL_ADDRESS

          public static final MAPIProperty RCVD_REPRESENTING_EMAIL_ADDRESS

    - #### RCVD_REPRESENTING_ENTRY_ID

          public static final MAPIProperty RCVD_REPRESENTING_ENTRY_ID

    - #### RCVD_REPRESENTING_NAME

          public static final MAPIProperty RCVD_REPRESENTING_NAME

    - #### RCVD_REPRESENTING_SEARCH_KEY

          public static final MAPIProperty RCVD_REPRESENTING_SEARCH_KEY

    - #### READ_RECEIPT_ENTRY_ID

          public static final MAPIProperty READ_RECEIPT_ENTRY_ID

    - #### READ_RECEIPT_REQUESTED

          public static final MAPIProperty READ_RECEIPT_REQUESTED

    - #### READ_RECEIPT_SEARCH_KEY

          public static final MAPIProperty READ_RECEIPT_SEARCH_KEY

    - #### RECEIPT_TIME

          public static final MAPIProperty RECEIPT_TIME

    - #### RECEIVE_FOLDER_SETTINGS

          public static final MAPIProperty RECEIVE_FOLDER_SETTINGS

    - #### RECEIVED_BY_ADDRTYPE

          public static final MAPIProperty RECEIVED_BY_ADDRTYPE

    - #### RECEIVED_BY_EMAIL_ADDRESS

          public static final MAPIProperty RECEIVED_BY_EMAIL_ADDRESS

    - #### RECEIVED_BY_ENTRY_ID

          public static final MAPIProperty RECEIVED_BY_ENTRY_ID

    - #### RECEIVED_BY_NAME

          public static final MAPIProperty RECEIVED_BY_NAME

    - #### RECIPIENT_DISPLAY_NAME

          public static final MAPIProperty RECIPIENT_DISPLAY_NAME

    - #### RECIPIENT_ENTRY_ID

          public static final MAPIProperty RECIPIENT_ENTRY_ID

    - #### RECIPIENT_FLAGS

          public static final MAPIProperty RECIPIENT_FLAGS

    - #### RECEIVED_BY_SEARCH_KEY

          public static final MAPIProperty RECEIVED_BY_SEARCH_KEY

    - #### RECIPIENT_CERTIFICATE

          public static final MAPIProperty RECIPIENT_CERTIFICATE

    - #### RECIPIENT_NUMBER_FOR_ADVICE

          public static final MAPIProperty RECIPIENT_NUMBER_FOR_ADVICE

    - #### RECIPIENT_REASSIGNMENT_PROHIBITED

          public static final MAPIProperty RECIPIENT_REASSIGNMENT_PROHIBITED

    - #### RECIPIENT_STATUS

          public static final MAPIProperty RECIPIENT_STATUS

    - #### RECIPIENT_TYPE

          public static final MAPIProperty RECIPIENT_TYPE

    - #### RECORD_KEY

          public static final MAPIProperty RECORD_KEY

    - #### REDIRECTION_HISTORY

          public static final MAPIProperty REDIRECTION_HISTORY

    - #### REFERRED_BY_NAME

          public static final MAPIProperty REFERRED_BY_NAME

    - #### REGISTERED_MAIL_TYPE

          public static final MAPIProperty REGISTERED_MAIL_TYPE

    - #### RELATED_IPMS

          public static final MAPIProperty RELATED_IPMS

    - #### REMOTE_PROGRESS

          public static final MAPIProperty REMOTE_PROGRESS

    - #### REMOTE_PROGRESS_TEXT

          public static final MAPIProperty REMOTE_PROGRESS_TEXT

    - #### REMOTE_VALIDATE_OK

          public static final MAPIProperty REMOTE_VALIDATE_OK

    - #### RENDERING_POSITION

          public static final MAPIProperty RENDERING_POSITION

    - #### REPLY_RECIPIENT_ENTRIES

          public static final MAPIProperty REPLY_RECIPIENT_ENTRIES

    - #### REPLY_RECIPIENT_NAMES

          public static final MAPIProperty REPLY_RECIPIENT_NAMES

    - #### REPLY_REQUESTED

          public static final MAPIProperty REPLY_REQUESTED

    - #### REPLY_TIME

          public static final MAPIProperty REPLY_TIME

    - #### REPORT_ENTRY_ID

          public static final MAPIProperty REPORT_ENTRY_ID

    - #### REPORT_NAME

          public static final MAPIProperty REPORT_NAME

    - #### REPORT_SEARCH_KEY

          public static final MAPIProperty REPORT_SEARCH_KEY

    - #### REPORT_TAG

          public static final MAPIProperty REPORT_TAG

    - #### REPORT_TEXT

          public static final MAPIProperty REPORT_TEXT

    - #### REPORT_TIME

          public static final MAPIProperty REPORT_TIME

    - #### REPORTING_DL_NAME

          public static final MAPIProperty REPORTING_DL_NAME

    - #### REPORTING_MTA_CERTIFICATE

          public static final MAPIProperty REPORTING_MTA_CERTIFICATE

    - #### REQUESTED_DELIVERY_METHOD

          public static final MAPIProperty REQUESTED_DELIVERY_METHOD

    - #### RESOURCE_FLAGS

          public static final MAPIProperty RESOURCE_FLAGS

    - #### RESOURCE_METHODS

          public static final MAPIProperty RESOURCE_METHODS

    - #### RESOURCE_PATH

          public static final MAPIProperty RESOURCE_PATH

    - #### RESOURCE_TYPE

          public static final MAPIProperty RESOURCE_TYPE

    - #### RESPONSE_REQUESTED

          public static final MAPIProperty RESPONSE_REQUESTED

    - #### RESPONSIBILITY

          public static final MAPIProperty RESPONSIBILITY

    - #### RETURNED_IPM

          public static final MAPIProperty RETURNED_IPM

    - #### ROW_TYPE

          public static final MAPIProperty ROW_TYPE

    - #### ROWID

          public static final MAPIProperty ROWID

    - #### RTF_COMPRESSED

          public static final MAPIProperty RTF_COMPRESSED

    - #### RTF_IN_SYNC

          public static final MAPIProperty RTF_IN_SYNC

    - #### RTF_SYNC_BODY_COUNT

          public static final MAPIProperty RTF_SYNC_BODY_COUNT

    - #### RTF_SYNC_BODY_CRC

          public static final MAPIProperty RTF_SYNC_BODY_CRC

    - #### RTF_SYNC_BODY_TAG

          public static final MAPIProperty RTF_SYNC_BODY_TAG

    - #### RTF_SYNC_PREFIX_COUNT

          public static final MAPIProperty RTF_SYNC_PREFIX_COUNT

    - #### RTF_SYNC_TRAILING_COUNT

          public static final MAPIProperty RTF_SYNC_TRAILING_COUNT

    - #### SEARCH

          public static final MAPIProperty SEARCH

    - #### SEARCH_KEY

          public static final MAPIProperty SEARCH_KEY

    - #### SECURITY

          public static final MAPIProperty SECURITY

    - #### SELECTABLE

          public static final MAPIProperty SELECTABLE

    - #### SEND_INTERNET_ENCODING

          public static final MAPIProperty SEND_INTERNET_ENCODING

    - #### SEND_RECALL_REPORT

          public static final MAPIProperty SEND_RECALL_REPORT

    - #### SEND_RICH_INFO

          public static final MAPIProperty SEND_RICH_INFO

    - #### SENDER_ADDRTYPE

          public static final MAPIProperty SENDER_ADDRTYPE

    - #### SENDER_EMAIL_ADDRESS

          public static final MAPIProperty SENDER_EMAIL_ADDRESS

    - #### SENDER_ENTRY_ID

          public static final MAPIProperty SENDER_ENTRY_ID

    - #### SENDER_NAME

          public static final MAPIProperty SENDER_NAME

    - #### SENDER_SEARCH_KEY

          public static final MAPIProperty SENDER_SEARCH_KEY

    - #### SENSITIVITY

          public static final MAPIProperty SENSITIVITY

    - #### SENT_REPRESENTING_ADDRTYPE

          public static final MAPIProperty SENT_REPRESENTING_ADDRTYPE

    - #### SENT_REPRESENTING_EMAIL_ADDRESS

          public static final MAPIProperty SENT_REPRESENTING_EMAIL_ADDRESS

    - #### SENT_REPRESENTING_ENTRY_ID

          public static final MAPIProperty SENT_REPRESENTING_ENTRY_ID

    - #### SENT_REPRESENTING_NAME

          public static final MAPIProperty SENT_REPRESENTING_NAME

    - #### SENT_REPRESENTING_SEARCH_KEY

          public static final MAPIProperty SENT_REPRESENTING_SEARCH_KEY

    - #### SENTMAIL_ENTRY_ID

          public static final MAPIProperty SENTMAIL_ENTRY_ID

    - #### SERVICE_DELETE_FILES

          public static final MAPIProperty SERVICE_DELETE_FILES

    - #### SERVICE_DLL_NAME

          public static final MAPIProperty SERVICE_DLL_NAME

    - #### SERVICE_ENTRY_NAME

          public static final MAPIProperty SERVICE_ENTRY_NAME

    - #### SERVICE_EXTRA_UIDS

          public static final MAPIProperty SERVICE_EXTRA_UIDS

    - #### SERVICE_NAME

          public static final MAPIProperty SERVICE_NAME

    - #### SERVICE_SUPPORT_FILES

          public static final MAPIProperty SERVICE_SUPPORT_FILES

    - #### SERVICE_UID

          public static final MAPIProperty SERVICE_UID

    - #### SERVICES

          public static final MAPIProperty SERVICES

    - #### SEVEN_BIT_DISPLAY_NAME

          public static final MAPIProperty SEVEN_BIT_DISPLAY_NAME

    - #### SMTP_ADDRESS

          public static final MAPIProperty SMTP_ADDRESS

    - #### SPOOLER_STATUS

          public static final MAPIProperty SPOOLER_STATUS

    - #### SPOUSE_NAME

          public static final MAPIProperty SPOUSE_NAME

    - #### START_DATE

          public static final MAPIProperty START_DATE

    - #### STATE_OR_PROVINCE

          public static final MAPIProperty STATE_OR_PROVINCE

    - #### STATUS

          public static final MAPIProperty STATUS

    - #### STATUS_CODE

          public static final MAPIProperty STATUS_CODE

    - #### STATUS_STRING

          public static final MAPIProperty STATUS_STRING

    - #### STORE_ENTRY_ID

          public static final MAPIProperty STORE_ENTRY_ID

    - #### STORE_PROVIDERS

          public static final MAPIProperty STORE_PROVIDERS

    - #### STORE_RECORD_KEY

          public static final MAPIProperty STORE_RECORD_KEY

    - #### STORE_STATE

          public static final MAPIProperty STORE_STATE

    - #### STORE_SUPPORT_MASK

          public static final MAPIProperty STORE_SUPPORT_MASK

    - #### STREET_ADDRESS

          public static final MAPIProperty STREET_ADDRESS

    - #### SUBFOLDERS

          public static final MAPIProperty SUBFOLDERS

    - #### SUBJECT

          public static final MAPIProperty SUBJECT

    - #### SUBJECT_IPM

          public static final MAPIProperty SUBJECT_IPM

    - #### SUBJECT_PREFIX

          public static final MAPIProperty SUBJECT_PREFIX

    - #### SUBMIT_FLAGS

          public static final MAPIProperty SUBMIT_FLAGS

    - #### SUPERSEDES

          public static final MAPIProperty SUPERSEDES

    - #### SUPPLEMENTARY_INFO

          public static final MAPIProperty SUPPLEMENTARY_INFO

    - #### SURNAME

          public static final MAPIProperty SURNAME

    - #### TELEX_NUMBER

          public static final MAPIProperty TELEX_NUMBER

    - #### TEMPLATEID

          public static final MAPIProperty TEMPLATEID

    - #### TITLE

          public static final MAPIProperty TITLE

    - #### TNEF_CORRELATION_KEY

          public static final MAPIProperty TNEF_CORRELATION_KEY

    - #### TRANSMITABLE_DISPLAY_NAME

          public static final MAPIProperty TRANSMITABLE_DISPLAY_NAME

    - #### TRANSPORT_KEY

          public static final MAPIProperty TRANSPORT_KEY

    - #### TRANSPORT_MESSAGE_HEADERS

          public static final MAPIProperty TRANSPORT_MESSAGE_HEADERS

    - #### TRANSPORT_PROVIDERS

          public static final MAPIProperty TRANSPORT_PROVIDERS

    - #### TRANSPORT_STATUS

          public static final MAPIProperty TRANSPORT_STATUS

    - #### TTYTDD_PHONE_NUMBER

          public static final MAPIProperty TTYTDD_PHONE_NUMBER

    - #### TYPE_OF_MTS_USER

          public static final MAPIProperty TYPE_OF_MTS_USER

    - #### USER_CERTIFICATE

          public static final MAPIProperty USER_CERTIFICATE

    - #### USER_X509_CERTIFICATE

          public static final MAPIProperty USER_X509_CERTIFICATE

    - #### VALID_FOLDER_MASK

          public static final MAPIProperty VALID_FOLDER_MASK

    - #### VIEWS_ENTRY_ID

          public static final MAPIProperty VIEWS_ENTRY_ID

    - #### WEDDING_ANNIVERSARY

          public static final MAPIProperty WEDDING_ANNIVERSARY

    - #### X400_CONTENT_TYPE

          public static final MAPIProperty X400_CONTENT_TYPE

    - #### X400_DEFERRED_DELIVERY_CANCEL

          public static final MAPIProperty X400_DEFERRED_DELIVERY_CANCEL

    - #### XPOS

          public static final MAPIProperty XPOS

    - #### YPOS

          public static final MAPIProperty YPOS

    - #### UNKNOWN

          public static final MAPIProperty UNKNOWN

    - #### id

          public final int id

    - #### usualType

          public final Types.MAPIType usualType

    - #### name

          public final java.lang.String name

    - #### mapiProperty

          public final java.lang.String mapiProperty

  - ### Method Detail

    - #### asFileName

          public java.lang.String asFileName()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### get

          public static MAPIProperty get(int id)

    - #### getAll

          public static java.util.Collection<MAPIProperty> getAll()

    - #### createCustom

          public static MAPIProperty createCustom(int id,
                                                  Types.MAPIType type,
                                                  java.lang.String name)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.